Bug 1850574 - [v2v][UI]VM import RHV to CNV: CDROM and cloud-init pages exist, but cannot be picked.
Summary: [v2v][UI]VM import RHV to CNV: CDROM and cloud-init pages exist, but cannot b...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Filip Krepinsky
QA Contact: Md Nadeem
URL:
Whiteboard: ux_issue
: 1849381 (view as bug list)
Depends On: 1849381
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-24 13:49 UTC by Yaacov Zamir
Modified: 2020-09-22 13:54 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1849381
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
advance tab - cloud-init (205.64 KB, image/png)
2020-09-22 13:54 UTC, Md Nadeem
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6511 None closed Bug 1850574: add better cloud init message for ovirt import 2020-09-22 06:44:58 UTC

Description Yaacov Zamir 2020-06-24 13:49:14 UTC
+++ This bug was initially created as a clone of Bug #1849381 +++

Description of problem:
or VM import from RHV to CNV, in the VM import wizard, cd rom and cloud-init pages exist, but cannot get actively picked.
Can they get removed or at least state why it can't be adjusted.  

Version-Release number of selected component (if applicable):
CNv-2.4

--- Additional comment from Filip Krepinsky on 2020-06-23 14:20:27 UTC ---

@Matt: an issue for the future design

--- Additional comment from Matt on 2020-06-23 18:34:04 UTC ---

I prefer the idea of keeping them surfaced but explain why they can't be adjusted. It enforces a consistent experience. I agree we should have an explanation for these steps to clarify for the import user. @filip we can put together a quick design to show what disabled step content should look like.

--- Additional comment from Filip Krepinsky on 2020-06-24 09:54:53 UTC ---

The content is already disabled in these steps, but yes we could show some explanation why it is so.

Comment 1 Yaacov Zamir 2020-06-24 14:15:10 UTC
*** Bug 1849381 has been marked as a duplicate of this bug. ***

Comment 2 Tomas Jelinek 2020-07-10 06:52:58 UTC
There has been a big batch of v2v related bugs moved to kubevirt plugin at once. We are working on them but due to capacity this did not make it last sprint.

Comment 4 Matt 2020-08-27 13:50:17 UTC
To address this I don't think we should remove the advanced step.
We shouldn't be concerned with CD-ROMs b/c they are no longer included in advanced and are just under disks.
For cloud init if a user expects to see data here and it's not included we should inform them in an info alert that we can not provide data at this point but they will be able to see it when the VM imports successfully (In the disk view I think right?).

If that makes sense we can provide a design for the alert

Comment 5 Matt 2020-08-27 18:46:21 UTC
follow up 
here's a quick mock up of what we are thinking 
https://xd.adobe.com/view/79a592f2-3e09-46ee-be04-c8c17a125492-2cf6/

Comment 6 Matt 2020-08-27 18:46:22 UTC
follow up 
here's a quick mock up of what we are thinking 
https://xd.adobe.com/view/79a592f2-3e09-46ee-be04-c8c17a125492-2cf6/

Comment 8 Md Nadeem 2020-09-22 13:52:59 UTC
The BZ has verified on openshift version: 4.6.0-fc.7

Please find attached snapshot for the same

Comment 9 Md Nadeem 2020-09-22 13:54:03 UTC
Created attachment 1715720 [details]
advance tab - cloud-init


Note You need to log in before you can comment on or make changes to this bug.